FloatMap (JavaFX 25)
Description: declaration: module: javafx.graphics, package: javafx.scene.effect, class: FloatMap

# Class FloatMap

java.lang.Object
javafx.scene.effect.FloatMap

public class FloatMap extends Object
A buffer that contains floating point data, intended for use as a parameter to effects such as `DisplacementMap`.

Since:
  JavaFX 2.0

- ## Property Summary

  Properties
  Type
  Property
  Description
  `final IntegerProperty`
  `height`
  The height of the map, in pixels.
  `final IntegerProperty`
  `width`
  The width of the map, in pixels.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FloatMap()`
  Creates a new instance of FloatMap with default parameters.
  `FloatMap(int width, int height)`
  Creates a new instance of FloatMap with the specified width and height.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final int`
  `getHeight()`
  Gets the value of the `height` property.
  `final int`
  `getWidth()`
  Gets the value of the `width` property.
  `final IntegerProperty`
  `heightProperty()`
  The height of the map, in pixels.
  `final void`
  `setHeight(int value)`
  Sets the value of the `height` property.
  `void`
  `setSample(int x, int y, int band, float s)`
  Sets the sample for a specific band at the given (x,y) location.
  `void`
  `setSamples(int x, int y, float s0)`
  Sets the sample for the first band at the given (x,y) location.
  `void`
  `setSamples(int x, int y, float s0, float s1)`
  Sets the sample for the first two bands at the given (x,y) location.
  `void`
  `setSamples(int x, int y, float s0, float s1, float s2)`
  Sets the sample for the first three bands at the given (x,y) location.
  `void`
  `setSamples(int x, int y, float s0, float s1, float s2, float s3)`
  Sets the sample for each of the four bands at the given (x,y) location.
  `final void`
  `setWidth(int value)`
  Sets the value of the `width` property.
  `final IntegerProperty`
  `widthProperty()`
  The width of the map, in pixels.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Property Details

  - ### width

    public final IntegerProperty widthProperty
    The width of the map, in pixels.

              Min:    1
              Max: 4096
          Default:    1
         Identity:  n/a

    Default value:
      1
    See Also:
      - `getWidth()`
      - `setWidth(int)`
      - `widthProperty()`

  - ### height

    public final IntegerProperty heightProperty
    The height of the map, in pixels.

              Min:    1
              Max: 4096
          Default:    1
         Identity:  n/a

    Default value:
      1
    See Also:
      - `getHeight()`
      - `setHeight(int)`
      - `heightProperty()`

- ## Constructor Details

  - ### FloatMap

    public FloatMap()
    Creates a new instance of FloatMap with default parameters.

  - ### FloatMap

    public FloatMap(int width, int height)
    Creates a new instance of FloatMap with the specified width and height.
    Parameters:
      `width` - the width of the map, in pixels
      `height` - the height of the map, in pixels
    Since:
      JavaFX 2.1

- ## Method Details

  - ### setWidth

    public final void setWidth(int value)
    Sets the value of the `width` property.
    Property description:
      The width of the map, in pixels.

                Min:    1
                Max: 4096
            Default:    1
           Identity:  n/a

    Default value:
      1
    Parameters:
      `value` - the value for the `width` property
    See Also:
      - `getWidth()`
      - `widthProperty()`

  - ### getWidth

    public final int getWidth()
    Gets the value of the `width` property.
    Property description:
      The width of the map, in pixels.

                Min:    1
                Max: 4096
            Default:    1
           Identity:  n/a

    Default value:
      1
    Returns:
      the value of the `width` property
    See Also:
      - `setWidth(int)`
      - `widthProperty()`

  - ### widthProperty

    public final IntegerProperty widthProperty()
    The width of the map, in pixels.

              Min:    1
              Max: 4096
          Default:    1
         Identity:  n/a

    Default value:
      1
    Returns:
      the `width` property
    See Also:
      - `getWidth()`
      - `setWidth(int)`

  - ### setHeight

    public final void setHeight(int value)
    Sets the value of the `height` property.
    Property description:
      The height of the map, in pixels.

                Min:    1
                Max: 4096
            Default:    1
           Identity:  n/a

    Default value:
      1
    Parameters:
      `value` - the value for the `height` property
    See Also:
      - `getHeight()`
      - `heightProperty()`

  - ### getHeight

    public final int getHeight()
    Gets the value of the `height` property.
    Property description:
      The height of the map, in pixels.

                Min:    1
                Max: 4096
            Default:    1
           Identity:  n/a

    Default value:
      1
    Returns:
      the value of the `height` property
    See Also:
      - `setHeight(int)`
      - `heightProperty()`

  - ### heightProperty

    public final IntegerProperty heightProperty()
    The height of the map, in pixels.

              Min:    1
              Max: 4096
          Default:    1
         Identity:  n/a

    Default value:
      1
    Returns:
      the `height` property
    See Also:
      - `getHeight()`
      - `setHeight(int)`

  - ### setSample

    public void setSample(int x, int y, int band, float s)
    Sets the sample for a specific band at the given (x,y) location.
    Parameters:
      `x` - the x location
      `y` - the y location
      `band` - the band to set (must be 0, 1, 2, or 3)
      `s` - the sample value to set

  - ### setSamples

    public void setSamples(int x, int y, float s0)
    Sets the sample for the first band at the given (x,y) location.
    Parameters:
      `x` - the x location
      `y` - the y location
      `s0` - the sample value to set for the first band

  - ### setSamples

    public void setSamples(int x, int y, float s0, float s1)
    Sets the sample for the first two bands at the given (x,y) location.
    Parameters:
      `x` - the x location
      `y` - the y location
      `s0` - the sample value to set for the first band
      `s1` - the sample value to set for the second band

  - ### setSamples

    public void setSamples(int x, int y, float s0, float s1, float s2)
    Sets the sample for the first three bands at the given (x,y) location.
    Parameters:
      `x` - the x location
      `y` - the y location
      `s0` - the sample value to set for the first band
      `s1` - the sample value to set for the second band
      `s2` - the sample value to set for the third band

  - ### setSamples

    public void setSamples(int x, int y, float s0, float s1, float s2, float s3)
    Sets the sample for each of the four bands at the given (x,y) location.
    Parameters:
      `x` - the x location
      `y` - the y location
      `s0` - the sample value to set for the first band
      `s1` - the sample value to set for the second band
      `s2` - the sample value to set for the third band
      `s3` - the sample value to set for the fourth band